### Type parameters

- #### K

- #### V

### Hierarchy

- Map

## Index

### Properties

- size

### Methods

- clear
- delete
- forEach
- get
- has
- set

## Properties

### size

size: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:28

## Methods

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:22

  #### Returns void

### delete

- delete(key: K): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:23

  #### Parameters

  - ##### key: K

  #### Returns boolean

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:24

  #### Parameters

  - ##### callbackfn: function

    - - (value: V, key: K, map: Map<K, V>): void

      - #### Parameters

        - ##### value: V

        - ##### key: K

        - ##### map: Map<K, V>

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### get

- get(key: K): V | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:25

  #### Parameters

  - ##### key: K

  #### Returns V | undefined

### has

- has(key: K): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:26

  #### Parameters

  - ##### key: K

  #### Returns boolean

### set

- set(key: K, value: V): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:27

  #### Parameters

  - ##### key: K

  - ##### value: V

  #### Returns this

Generated using TypeDoc